
%define		_snap	20060309

Summary:	Tlen.pl client library
Summary(pl.UTF-8):	Biblioteka kliencka Tlen.pl
Name:		libtlen
Version:	0
Release:	0.%{_snap}.2
Epoch:		1
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/sourceforge/tleenx/%{name}-%{_snap}.tar.gz
# Source0-md5:	4a49ac97af4c25b6b924fa929c00e278
URL:		http://libtlen.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libtlen is a library providing an API for client programs which want
to use Tlen.pl, an Instant Messanging protocol based on Jabber, but
with some modifications.

%description -l pl.UTF-8
Biblioteka libtlen dostarcza API dla programów klienckich korzystających
z protokołu Tlen.pl który bazuje na Jabber z niewielkimi modyfikacjami.

%package devel
Summary:	Header files for developping programs using libtlen
Summary(pl.UTF-8):	Pliki nagłówkowe do biblioteki libtlen
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
This package is required to develop programs that use Tlen.pl
protocol.

%description devel -l pl.UTF-8
Pakiet wymagany przy pisaniu programów korzystających z protokołu
Tlen.pl.

%package static
Summary:	Static version of libtlen library
Summary(pl.UTF-8):	Biblioteka statyczna libtlen
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libtlen library.

%description static -l pl.UTF-8
Biblioteka statyczna libtlen.

%prep
%setup -q -n %{name}-%{_snap}

%build

%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc docs/AUTHORS docs/TODO
%attr(755,root,root) %{_libdir}/libtlen.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libtlen.so.1

%files devel
%defattr(644,root,root,755)
%doc docs/*.html
%{_includedir}/*
%{_libdir}/libtlen.so

%files static
%defattr(644,root,root,755)
%{_libdir}/libtlen.a
%changelog
* Fri Jan 24 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libtlen.git;a=log;h=master

* Tue Jan 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> c748364
- ghost soname symlink

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 454c9af
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b1e19f6
- converted to UTF-8

* Thu May 25 2006 Jan Wideł <jasw@pld-linux.org> 78c057d
- up to 20060309 snap

* Sat Apr 16 2005 kosmo <kosmo@pld-linux.org> e543833
- updated to 20041113 (snap)
- updated URLs

* Sun Feb 29 2004 pawelb <pawelb@pld-linux.org> 491cfd5
- up to 20040228

* Mon Nov 17 2003 adgor <adgor@pld-linux.org> 40cfd07
- Partially reverted

* Mon Nov 17 2003 adgor <adgor@pld-linux.org> cacf680
- Changed versioning policy (ver 0.%%{_snap}; rel 1)
- Added post/postun /sbin/ldconfig
- libtlen.so moved to devel subpkg

* Sun Nov 16 2003 jack <jack@pld-linux.org> 587a374
- updated to snap 20031115

* Sat Nov 08 2003 jack <jack@pld-linux.org> 67904ac
- updated to 20031108 snap

* Fri Aug 29 2003 adgor <adgor@pld-linux.org> 0683fc4
- Added %%{release} to req

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> c62b271
- mass commit: cosmetics (removed trailing white spaces)

* Fri Jul 11 2003 ankry <ankry@pld-linux.org> 6e487ce
- URL fixes and other cosmetics

* Fri Jun 27 2003 Mariusz Mazur <mmazur@pld-linux.org> bff200f
- mass commit; now req: name = epoch:version

* Wed May 28 2003 Michal Moskal <michal@moskal.me> c65742c
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> cfc44e2
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 18 2003 radek <radek@pld-linux.org> cf29da7
- snap 20030415

* Mon Feb 17 2003 radek <radek@pld-linux.org> 6fdae3c
- updated Source0 URL

* Mon Feb 03 2003 Marcin Krzyżanowski <marcin.krzyzanowski@hakore.com> 7da2001
- snap 20030130

* Sat Nov 23 2002 aflinta <aflinta@pld-linux.org> a04420d
- obsoleted

